[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# Soundex

Compute the soundex of a string

## Declaration

Source position: line 0

`function Soundex(`
`const AText: String;`
`ALength: TSoundexLength`
`):String; function Soundex(`
`const AText: String`
`):String;`

## Arguments

`AText` |  | Text to compute soundex of
`ALength` |  | Length of the soundex

## Function result

String with the soundex code of the original string.

## Arguments

`AText` |  | Text to compute soundex of

## Function result

String with the soundex code of the original string.

## Description

Soundex computes a soundex code for AText. The resulting code will at most have ALength characters. The soundex code is computed according to the US system of soundex computing, which may result in inaccurate results in other languages.

## Errors

None.

## See also

SoundexCompare |  | Compare soundex values of 2 strings.
SoundexInt |  | Soundex value as an integer.
SoundexProc |  | Default AnsiResemblesText implementation.
SoundexWord |  | Calculate a word-sized soundex value
SoundexSimilar |  | Check whether 2 strings have equal soundex values

The latest version of this document can be found at lazarus-ccr.sourceforge.net.